OK
AJAX error!

Les forumsGrammalecteSolution aux problèmes d'installation python (Grammalecte + LO + Mac)

Solution aux problèmes d'installation python (Grammalecte + LO + Mac)

Bonjour,

Juste un petit message pour signaler une solution qui me semble permettre de faire fonctionner Grammalecte sur les version de LibreOffice qui n'acceptent pas son installation (comme c'est actuellement le cas pour la 4.0.2, et pour la 4.0.3RC1).
Ce contournement me semble utile parce que le RC actuel de LO 4.0.3, qui doit devenir un release bientôt, ne permet toujours pas d'installer LO, que la version précédente (4.0.1) était minée de bugs relatifs aux commentaires notamment, et que la 4.0.2 ne règle ni le premier ni le second problème. De plus sous Mac, OpenOffice ne prévoit pas d'effectuer les changements de version de python qui permettront de faire fonctionner Grammalecte avant leur prochaine version prévue pour on-ne-sait-quand.
Si on souhaite pouvoir bénéficier d'un version récente de LO 4 tout en utilisant Grammalecte, je propose dont la solution suivante.
-Installer la version 3.6.2 de LO, et y ajouter l'extension Grammalecte et le dernier dictionnaire.
-Installer ensuite la dernière version de LO 4.
-Dans "[dossier utilisateur]/Bibliothèque/Application Support/LibreOffice/3" copier le dossier "user"
-Coller ce dossier "user" dans "[dossier utilisateur]/Bibliothèque/Application Support/LibreOffice/4"
-Démarrer LO 4, Grammalecte devrait fonctionner normalement.

Sur une note plus analytique, je déduis du fait que ceci fonctionne que le bug python qui survient pendant l'installation de Grammalecte est un bug relatif à l'ajout de nouveaux modules externes, et non pas un problème d'interprétation réelle du code de l'extension.
En espérant que ceci pourra servir à quelqu'un.
Cordialement,
Mark.
le 02 mai 2013 à 17:58
Bonjour,

Merci pour l’astuce.
À ma connaissance, OpenOffice 4 sortira fin juin.
Quant à la correction du problème sur LibreOffice, je ne sais pas.
le 03 mai 2013 à 10:06

Notification par e-mail    0